Version 0, so errors. Rated 2 out of 5 stars

Good work until the limit 2²⁰ to the permissions list (about 20800 sites). List badly reduced, since there is no regular expression or mask.
And the import does not work well with IDN, since there are errors such as encoding Ð»ÐµÐ½Ñ‚Ð¿æƒ a domain site.

This review is for a previous version of the add-on (0.5.30). 

I'm sorry, but RequestPolicy v0.5 Legacy was not designed for large amounts of rules. Please upgrade to “RequestPolicy Continued”, its successor. If you've got problems migrating your rules to RP-Continued, best contact me on Github.
https://addons.mozilla.org/en-US/firefox/addon/requestpolicy-continued/

More in detail: RP v0.5 used the Preferences (available via “about:config”) to store the rules. According to Mozilla's developer documentation (i.e. nsIPrefBranch), large amounts of data should be saved in a file. This is what RP-Continued is doing.

I like it Rated 5 out of 5 stars

0.5.30pre2
So far so good, love it.

This review is for a previous version of the add-on (0.5.30pre2.1-signed). 

Nice, but... Rated 1 out of 5 stars

Ver. 0.5.30pre1 does not work with Samfind v.2.2.8 (saved shortcuts do not load when being clicked). Also - close icon does not show on tabs... v. 0.5.29 works perfectly.

This review is for a previous version of the add-on (0.5.30pre1). 

I quickly tried to reproduce your problem, but I couldn't. If you provide some more information I could maybe help. Please take a look at the contributing information: https://requestpolicycontinued.github.io/Contributing

You can write me an email or directly communicate via Github.

Edit:
Thank you for your detailed bug report by Email. The problem should be solved on the 0.5.30pre2 version:
https://addons.mozilla.org/en-US/firefox/addon/requestpolicy-continued/versions/0.5.30pre2

A Fine Add-On Rated 5 out of 5 stars

I don't know which version I have but it seems to do what it says on the box.
I am not much of a "nerd" so I haven't touched the settings and all that.

Thanks for this app which I read about on the ghacks site.

This review is for a previous version of the add-on (0.5.30pre1). 

does not reach original yet :( Rated 2 out of 5 stars

A had to install this extension because original RP does not work with Firefox 38 anymore. Although old rules were imported successfully, most pages are displayed broken now because domains are not whitelisted anymore.

Trying to add new rules is much more complicated now; instead of saying "allow *.example.com" as in old version, you have to add now "cdn1.example.com", "cdn2.example.com" ... "cdn19.example.com". Creating rules became less userfriendly; for every new whitelist entry, a submenu must be opened (which is a cruel with touch pads) while rules could be created in old version in the main menu.

This review is for a previous version of the add-on (0.5.29b4). 

Please don't confuse the 0.5 branch with the 1.0.beta branch

Hi ensc, thanks for your review. However, there are important details to notice:

Both "RequestPolicy" (RP) and "RequestPolicy Continued" (RPC) have two releases:

(1) the "0.5.*" release
(2) the "1.0.beta*" release

Because of that, there are currently four (!) releases on the web:

* RP 0.5.28, link: https://addons.mozilla.org/en-US/firefox/addon/requestpolicy/
* RP 1.0.0b3, downloadable here: https://www.requestpolicy.com/releases/requestpolicy-1.x.xpi (see also https://www.requestpolicy.com/channels.html)
* RPC 1.0.beta9.3, downloadable here: https://github.com/RequestPolicyContinued/requestpolicy/releases/tag/v1.0.beta9.3
* RPC 0.5.29 – the release you're replying to.

I suppose that you've been using "RP 1.0.0b3" and now you've switched back to "RPC 0.5.29". Is this true?

Also note that "RP 0.5.28" and "RPC 0.5.29" are identical.